Loading...
Searching...
No Matches
itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions > Class Template Reference

`#include <itkGPUShrinkImageFilterFactory.h>`

## Detailed Description

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>
class itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >

Object Factory implementation for GPUShrinkImageFilter.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 37 of file itkGPUShrinkImageFilterFactory.h.

Inheritance diagram for itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = GPUShrinkImageFilterFactory2
using | Superclass = GPUObjectFactoryBase<NDimensions>
Public Types inherited from itk::GPUObjectFactoryBase< NDimensions >
using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = GPUObjectFactoryBase
using | Superclass = ObjectFactoryBase

## Public Member Functions

virtual const char * | GetClassName () const
const char * | GetDescription () const override
| ITK_DISALLOW_COPY_AND_MOVE (GPUShrinkImageFilterFactory2)
| itkFactorylessNewMacro (Self)
template<typename TTypeIn, typename TTypeOut, unsigned int VImageDimension>
void | operator() ()
Public Member Functions inherited from itk::GPUObjectFactoryBase< NDimensions >
const char * | GetITKSourceVersion () const override
| ITK_DISALLOW_COPY_AND_MOVE (GPUObjectFactoryBase)
| itkStaticConstMacro (Support1D, bool, NDimensions::Support1D)
| itkStaticConstMacro (Support2D, bool, NDimensions::Support2D)
| itkStaticConstMacro (Support3D, bool, NDimensions::Support3D)
virtual void | RegisterAll ()

## Static Public Member Functions

static void | RegisterOneFactory ()

## Protected Member Functions

| GPUShrinkImageFilterFactory2 ()
void | Register1D () override
void | Register2D () override
void | Register3D () override
| ~GPUShrinkImageFilterFactory2 () override=default
Protected Member Functions inherited from itk::GPUObjectFactoryBase< NDimensions >
| GPUObjectFactoryBase ()=default
| ~GPUObjectFactoryBase () override=default

## Member Typedef Documentation

## ConstPointer

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

using itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::ConstPointer = SmartPointer<const Self>

Definition at line 45 of file itkGPUShrinkImageFilterFactory.h.

## Pointer

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

using itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::Pointer = SmartPointer<Self>

Definition at line 44 of file itkGPUShrinkImageFilterFactory.h.

## Self

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

using itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::Self = GPUShrinkImageFilterFactory2

Definition at line 42 of file itkGPUShrinkImageFilterFactory.h.

## Superclass

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

using itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::Superclass = GPUObjectFactoryBase<NDimensions>

Definition at line 43 of file itkGPUShrinkImageFilterFactory.h.

## Constructor & Destructor Documentation

## GPUShrinkImageFilterFactory2()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::GPUShrinkImageFilterFactory2 | ( |  | ) |

protected

## ~GPUShrinkImageFilterFactory2()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::~GPUShrinkImageFilterFactory2 | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

virtual const char * itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::GPUObjectFactoryBase< NDimensions >.

## GetDescription()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

const char * itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::GetDescription | ( |  | ) | const

inline override

Return a descriptive string describing the factory.

Definition at line 49 of file itkGPUShrinkImageFilterFactory.h.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::ITK_DISALLOW_COPY_AND_MOVE | ( | GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions > |  | ) |

## itkFactorylessNewMacro()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::itkFactorylessNewMacro | ( | Self |  | ) |

Method for class instantiation.

## operator()()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>
template<typename TTypeIn, typename TTypeOut, unsigned int VImageDimension>

void itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::operator() | ( |  | ) |

inline

Operator() to register override.

Definition at line 67 of file itkGPUShrinkImageFilterFactory.h.

## Register1D()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

void itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::Register1D | ( |  | ) |

override protected virtual

Register methods for 1D.

Reimplemented from itk::GPUObjectFactoryBase< NDimensions >.

## Register2D()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

void itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::Register2D | ( |  | ) |

override protected virtual

Register methods for 2D.

Reimplemented from itk::GPUObjectFactoryBase< NDimensions >.

## Register3D()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

void itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::Register3D | ( |  | ) |

override protected virtual

Register methods for 3D.

Reimplemented from itk::GPUObjectFactoryBase< NDimensions >.

## RegisterOneFactory()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

void itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::RegisterOneFactory | ( |  | ) |

static

Register one factory of this type.

Generated on 1768596610 for elastix by 1.15.0 |